/*
 * Copyright (C) 2011 Guillaume Kulakowski and contributors
 *
 * GNU General Public License v2.0
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 */
const St = imports.gi.St;
const Main = imports.ui.main;
const Panel = imports.ui.panel;
const Gettext = imports.gettext.domain('gnome-shell');
const _ = Gettext.gettext;

function main() {

    hotSpotButton = Main.panel.button;

    let logo = new St.Icon({ icon_type: St.IconType.FULLCOLOR,
                             icon_size: hotSpotButton.height, icon_name: 'fedora-logo-icon' });
    let box = new St.BoxLayout();
    box.add_actor(logo);

    hotSpotButton.set_child(box);
}
